import { ISettings, Config, IDebug, EventMap, AdalongWidgetInstance } from './types';
interface AdalongWidgetProps {
    token?: string;
    config?: Config;
}
declare const initializeAdalongWidget: ({ token, config, }: {
    token: string;
    config?: Config | undefined;
}) => Promise<AdalongWidgetInstance>;
declare const useAdalongWidget: ({ token, config: initialConfig }: AdalongWidgetProps) => {
    onEvent<EventName extends keyof EventMap>(eventName: EventName, callback: import("./types").EventCallback<EventMap[EventName]>): void;
    offEvent<EventName_1 extends keyof EventMap>(eventName: EventName_1, callback?: import("./types").EventCallback<EventMap[EventName_1]> | undefined): void;
    triggerEvent<EventName_2 extends keyof EventMap>(eventName: EventName_2, event: EventMap[EventName_2], widgetId?: string | undefined): void;
    hasSubscribed(eventName: keyof EventMap): boolean;
    destroy(): void;
    id: string;
    layout: "carousel" | "wall" | "mosaic" | undefined;
    loaded: boolean;
    load: (element: string | HTMLElement, settings?: Partial<ISettings>) => Promise<void>;
    getSlideState: () => {
        canSlideLeft: boolean;
        canSlideRight: boolean;
    };
    changePost: (dir: 'left' | 'right') => void;
    setSlider: (dir: 'left' | 'right') => void;
    setDebug: (debug: IDebug) => void;
    setHasAnalyticsConsent: (granted: boolean) => void;
};
declare const setHasAnalyticsConsent: (granted: boolean) => void;
export { initializeAdalongWidget, useAdalongWidget, setHasAnalyticsConsent };
export type { AdalongWidgetInstance };
